Subject: bug#2062: PATH can contain non-expanded variables

From: Jason Rumney <[email-masked]>
Date: Wed, 28 Jan 2009 16:39:10 +0800

Stefan Monnier wrote:
> It looks like a situation where the variable expansion is expected to be
> done by the application under w32 (just like file globbing is not done
> by the shell there either), contrary to POSIX.
>   
Environment variables are expanded in PATH when set as an environment 
variable on Windows. Only when using this undocumented registry entry to 
set an application specific path does the expansion apparently not happen.